apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-12-17T07:22:01Z'
  generation: 2
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-17T07:22:29Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-12-17T07:23:37Z'
  name: test-guest-without-shared-disk-option
  namespace: openshift-mtv
  resourceVersion: '316948557'
  uid: 5f6d3cee-ec93-4ec0-897a-de947ca0ced1
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: false
  targetNamespace: openshift-mtv
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 2423c144-19a2-4c27-9e3f-f6790a9dd9d2
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vc801
      namespace: openshift-mtv
      uid: 9282879c-eb09-4f76-a1e4-89c8a98a977d
  preserveStaticIPs: false
  type: cold
  vms:
    - id: vm-28
      name: Auto-esx8.0-rhel9.4-efi-space   name-vmx
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: vc801-vrvsd
      namespace: openshift-mtv
      uid: 6bb88e6f-8f1f-4c7b-95d4-c4187c5f857c
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: vc801-fx55s
      namespace: openshift-mtv
      uid: 5dda3f87-1bab-446d-8c44-12bf56cd7bf4
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-12-17T07:22:50Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-12-17T07:23:04Z'
      message: The plan is EXECUTING.
      status: 'True'
      type: Executing
  migration:
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-17T07:23:03Z'
            message: The plan is EXECUTING.
            status: 'True'
            type: Executing
        map:
          network:
            generation: 1
            name: vc801-vrvsd
            namespace: openshift-mtv
            uid: 6bb88e6f-8f1f-4c7b-95d4-c4187c5f857c
          storage:
            generation: 1
            name: vc801-fx55s
            namespace: openshift-mtv
            uid: 5dda3f87-1bab-446d-8c44-12bf56cd7bf4
        migration:
          generation: 1
          name: test-guest-without-shared-disk-option-qgqpm
          namespace: openshift-mtv
          uid: f57ef5a2-ce21-4b06-b68a-a13754f620f6
        plan:
          generation: 2
          name: test-guest-without-shared-disk-option
          namespace: openshift-mtv
          uid: 5f6d3cee-ec93-4ec0-897a-de947ca0ced1
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 2423c144-19a2-4c27-9e3f-f6790a9dd9d2
          source:
            generation: 2
            name: vc801
            namespace: openshift-mtv
            uid: 9282879c-eb09-4f76-a1e4-89c8a98a977d
    started: '2025-12-17T07:23:03Z'
    vms:
      - id: vm-28
        luks: {}
        name: Auto-esx8.0-rhel9.4-efi-space   name-vmx
        newName: auto-esx8.0-rhel9.4-efi-space-name-vmx
        phase: ConvertGuest
        pipeline:
          - completed: '2025-12-17T07:23:29Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-17T07:23:03Z'
          - annotations:
              unit: MB
            completed: '2025-12-17T07:23:33Z'
            description: Transfer disks.
            name: DiskTransfer
            phase: Completed
            progress:
              completed: 16384
              total: 16384
            started: '2025-12-17T07:23:32Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-12-17T07:23:33Z'
                name: '[esx8.0-function] Auto-esx8.0-rhel9.4-efi-space   name-vmx/Auto-esx8.0-rhel9.4-efi-space   name-vmx.vmdk'
                phase: Completed
                progress:
                  completed: 16384
                  total: 16384
                reason: Transfer completed.
                started: '2025-12-17T07:23:33Z'
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2025-12-17T07:23:35Z'
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Pending
            progress:
              completed: 0
              total: 16384
            tasks:
              - annotations:
                  unit: MB
                name: '[esx8.0-function] Auto-esx8.0-rhel9.4-efi-space   name-vmx/Auto-esx8.0-rhel9.4-efi-space   name-vmx.vmdk'
                progress:
                  completed: 0
                  total: 16384
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        restorePowerState: 'Off'
        started: '2025-12-17T07:23:03Z'
  observedGeneration: 2

